.\" $Id: EdEllipse.n,v 1.1 1992/12/31 15:05:25 smadja Exp $
.\"
.\"
.\" Copyright (c) 1990, 1991, 1992 Bull S.A., Paris, France
.\"
.\" Permission to use, copy, modify, distribute FREE OF CHARGE this software
.\" and its documentation for any purpose is hereby granted without fee,
.\" provided that (i) the above copyright notices and this permission notice
.\" appear in all copies of the software and related documentation, and
.\" (ii) the name of Bull may not be used in any advertising or publicity
.\" relating to the software without the specific, prior written permission
.\" of Bull.
.\" 
.\" The permission to distribute or sublicense FOR CHARGE either this software
.\" (all or part) or products derived from this software is subject to prior
.\" licence from Bull under separate agreement.
.\"
.\" The information in this software is subject to change without
.\" notice and should not be construed as a commitment by Bull.
.\"
.\" Bull assumes no responsibility for the use or inability to use any of its
.\" software. The software is provided "AS IS" without warranty of any
.\" kind, and Bull expressly disclaims all implied warranties, including
.\" but not limited to the implied warranties of merchantability and
.\" fitness for a particular purpose.
.\"
.\" In no event shall Bull be liable for any special, incidental, indirect
.\" or consequential damages of any kind, or any damages whatsoever
.\" resulting from loss of use, data or profits, whether or not advised of
.\" the possibility of damage, and on any theory of liability, arising out
.\" of or in connection with the use or performance of this software.
.\"
.\"
.EH ''''
.OH ''''
.EF ''''
.OF ''''
.TH EditEllipse 3Go "December 1992" "Version 1.2" "Go Reference Manual" 
.nr% \n(PN+1
.SH 
\fBNAME\fP
.IP
\fBEditEllipsePgm\fP \(em the common superclass program to edit a GoEllipse. This is agrabber program.
.SH
\fBSYNOPSIS\fP
.IP
\fI#include <Go/EdEllipse.h>\fP
.sp 1
.SH
\fBCLASS\fP
.IP 
\fBGEditEllipsePgm\fP inherits behavior from:
.RS 10
\fBGEditArcRadxyPgm\fP class,
.IP \(em 3
.RE
.sp 1
.SH
\fBDESCRIPTION\fP
.IP
The above program is a  grabber program. The editing of an ellipse consists of changing ellipse  without changing its \fIcoordinate system\fP. The new \fIradius\fP is computed with the mouse position. For any modification, preconditions are called prior the modification. If accepted, the modification is done onto the \fIworking go\fP (see EdGeometric 3(Go)). If the interaction is not cancelled by the user, the \fIellipse\fP to be edited will be reseted with the last accepted modification.
.sp
 The purpose of the program is to defined:
.RS .5i
.br
The \fIname\fP of the program: "GoEllipse.edit".
.sp
The cursor used during interaction. The default cursor the cursor define by the superclass program: GEditArcRadxyPgm.
.br
.RE
.sp 2
.nf
.ta .15i .25i 1.0i

class GEditEllipsePgm : public GEditArcRadxyPgm
{
	public:
	static GEditEllipsePgm* create();
	// virtual GInteractor* start(const GEvent*, Go*); see superclass.
};
.fi
.sp 2
.SH
\fBPUBLIC METHODS\fP
.IP
GEditEllipsePgm* \fBcreate\fB();
.RS .8i
.IP \fIDescription\fP .5i
The name of the program is "GoEllipse.edit".
.br
If the program is not created, it creates the program and returns it. Otherwise it creates it. The method returns NULL on error (.e.g the same name is used by something which is not an interactor program).
.RE
.sp 4
.SH
\fBC BINDING\fP
.IP
\fITo be defined.\fP
.sp
.SH
\fBUSAGE INFORMATION\fP
.IP
The grabber used by the program is the GEditArc grabber.
.sp
.SH
\fBSEE ALSO\fP
.IP
\fBEditArc (3Go), GoEllipse(3Go).\fP
.nrPN \n%





