.\" $Id: Number.n,v 1.1.1.1 1992/03/18 09:47:13 uep Exp $
.\"
.\"
.\" Copyright (c) 1990, 1991 Bull S.A., Paris, France
.\"
.\" Permission to use, copy, modify, distribute FREE OF CHARGE this software
.\" and its documentation for any purpose is hereby granted without fee,
.\" provided that (i) the above copyright notices and this permission notice
.\" appear in all copies of the software and related documentation, and
.\" (ii) the name of Bull may not be used in any advertising or publicity
.\" relating to the software without the specific, prior written permission
.\" of Bull.
.\" 
.\" The permission to distribute or sublicense FOR CHARGE either this software
.\" (all or part) or products derived from this software is subject to prior
.\" license from Bull under separate agreement.
.\"
.\" The information in this software is subject to change without
.\" notice and should not be construed as a commitment by Bull.
.\"
.\" Bull assumes no responsibility for the use or inability to use any of its
.\" software. The software is provided "AS IS" without warranty of any
.\" kind, and Bull expressly disclaims all implied warranties, including
.\" but not limited to the implied warranties of merchantability and
.\" fitness for a particular purpose.
.\"
.\" In no event shall Bull be liable for any special, incidental, indirect
.\" or consequential damages of any kind, or any damages whatsoever
.\" resulting from loss of use, data or profits, whether or not advised of
.\" the possibility of damage, and on any theory of liability, arising out
.\" of or in connection with the use or performance of this software.
.\"
.\"
.EH ''''
.OH ''''
.EF ''''
.OF ''''
.TH Number 3Go "February 1992" "Version 1.1" "Go Reference Manual" 
.nr% \n(PN+1
.SH 
\fBNAME\fP
.IP
\fBNumber\fP \(em the number object class
.sp 1
.SH 
\fBSYNOPSIS\fP
.IP
\fI#include <Go/Tools/Number.h>\fP
.sp 1
.SH 
\fBCLASS\fP
.IP
\fBNumber\fP does not inherit from any other class.
.sp 1
.SH 
\fBDESCRIPTION\fP
.IP
A \fBNumber\fP object is a \fBfloat\fP object.
.sp 1
\fBGNumber\fP is the C++ type for the \fINumber\fP object.
.sp 1
.br
.nf
.ta .15i .25i 1.50i
typedef float GNumber;

#define GBIGGEST_NUMBER MAXFLOAT
.fi
.sp 1
.SH
\fBPUBLIC METHODS\fP
.IP
Any function allowed on \fIfloat\fP objects is available on \fINumber\fP
objects. \fINumber\fP defines \fBGBIGGEST_NUMBER\fP.
.sp 1
.SH
\fBSEE ALSO\fP
.IP
Any \fIC++\fP or \fIC\fP manual.
.nrPN \n%
