.\" $Id: preface.ms,v 1.2 1992/12/14 13:25:55 davy Exp $
.\" Copyright (c) 1990, 1991 Bull S.A., Paris, France
.\"
.\" Permission to use, copy, modify, distribute FREE OF CHARGE this software
.\" and its documentation for any purpose is hereby granted without fee,
.\" provided that (i) the above copyright notices and this permission notice
.\" appear in all copies of the software and related documentation, and
.\" (ii) the name of Bull may not be used in any advertising or publicity
.\" relating to the software without the specific, prior written permission
.\" of Bull.
.\" 
.\" The permission to distribute or sublicense FOR CHARGE either this software
.\" (all or part) or products derived from this software is subject to prior
.\" license from Bull under separate agreement.
.\"
.\" The information in this software is subject to change without
.\" notice and should not be construed as a commitment by Bull.
.\"
.\" Bull assumes no responsibility for the use or inability to use any of its
.\" software. The software is provided "AS IS" without warranty of any
.\" kind, and Bull expressly disclaims all implied warranties, including
.\" but not limited to the implied warranties of merchantability and
.\" fitness for a particular purpose.
.\"
.\" In no event shall Bull be liable for any special, incidental, indirect
.\" or consequential damages of any kind, or any damages whatsoever
.\" resulting from loss of use, data or profits, whether or not advised of
.\" the possibility of damage, and on any theory of liability, arising out
.\" of or in connection with the use or performance of this software.
.OH "''GoPATH - Installation Guide''"
.EH "''GoPATH - Installation Guide''"
.ds CF -%-

.TL
\s36GoPATH\s0
.sp 30p
.br
\s18INSTALLATION GUIDE\s0
.sp 20p
Version 1.2 - December 1992

.AU
.AI
Bull - Imaging & Office Solutions
\(co Bull S.A., 1990, 1991, 1992 Paris

.SH
PREFACE
.LP
The \fBInstallation Guide\fP gives the information needed to generate
and install \fBGoPATH\fP in both Unix\u\s4TM\s0\d and
MS-Windows\u\s4TM\s0\d environments.
.LP
Other manuals are the \fBGoPATH Programmer's Guide\fP (for a general technical
information), the \fBGoPATH Reference Manual\fP (for application developers)
and the \fBGoPATH Advanced Programmer's Manual\fP (for \fBGo\fP libraries
extensions).
.LP
The reader is expected to be familiar with the target environment and
the associated software development tools.
.sp 2
.LP
This manual is organized as follows:
.sp2
.in 0.5i
.br
Chapter 1:	Sources Organization
.br
Chapter 2:	GoPATH In The Unix\u\s4TM\s0\d Environment
.br
Chapter 3:	GoPATH In The MS-Windows\u\s4TM\s0\d Environment
.in
.bp
.SH
TRADEMARK NOTICES:
.LP
This guide uses some or all of the following trademarks:
.IP
\fBUNIX\fP is a registered trademark of AT&T Bell Laboratories.
.IP
\fBX Window System\fP is a trademark of the Massachusetts Institute
of Technology.
.IP
\fBMotif\fP is a trademark of Open Software Foundation Inc.
.IP
\fBPostScript\fP is a registered trademark of Adobe Systems Inc.
.IP
\fBMS-DOS\fP is a trademark of Microsoft Corporation.
.IP
\fBWindows\fP is a trademark of Microsoft Corp.
.IP
\fBXView\fP is a trademark of Sun Microsystems Inc.
.IP
\fBOPEN LOOK\fP is trademark of AT&T.
.IP
\fBPresentation Manager\fP is a trademark of IBM Corp.
.IP
\fBOS/2\fP is a trademark of IBM Corp.
.sp 4
.ce
\fBPREAMBLE\fP
.sp 1
.LP
\fBGoPATH\fP is the new name of what we called \fBGo\fP. Like \fBGo\fP,
\fBGoPATH\fP components include a set of libraries (for graphical
application developpement) called \fIGo\fP libraries, a set of editors
(for graphical presentation design) called \fIGo\fP companions and the
documentation.
.LP
In order to promote \fBGoPATH\fP, a part of it is distributed on the network
with a restrictive copyright. Any commercial use of \fBGoPATH\fP is controled
by a \fBicense\fP.
This document gives the source organization of the complete software
but footnotes indicate which part is not distributed on the network.
The generation and the installation depend on a compilation variable
(\fI-DGoLICENSE\fP) which must be defined for people having the \fBGoPATH\fP
license.
