.\" $Id: preface.ms,v 1.1.1.1 1992/03/18 09:35:52 uep Exp $
.\" Copyright (c) 1990, 1991 Bull S.A., Paris, France
.\"
.\" Permission to use, copy, modify, distribute FREE OF CHARGE this software
.\" and its documentation for any purpose is hereby granted without fee,
.\" provided that (i) the above copyright notices and this permission notice
.\" appear in all copies of the software and related documentation, and
.\" (ii) the name of Bull may not be used in any advertising or publicity
.\" relating to the software without the specific, prior written permission
.\" of Bull.
.\" 
.\" The permission to distribute or sublicense FOR CHARGE either this software
.\" (all or part) or products derived from this software is subject to prior
.\" license from Bull under separate agreement.
.\"
.\" The information in this software is subject to change without
.\" notice and should not be construed as a commitment by Bull.
.\"
.\" Bull assumes no responsibility for the use or inability to use any of its
.\" software. The software is provided "AS IS" without warranty of any
.\" kind, and Bull expressly disclaims all implied warranties, including
.\" but not limited to the implied warranties of merchantability and
.\" fitness for a particular purpose.
.\"
.\" In no event shall Bull be liable for any special, incidental, indirect
.\" or consequential damages of any kind, or any damages whatsoever
.\" resulting from loss of use, data or profits, whether or not advised of
.\" the possibility of damage, and on any theory of liability, arising out
.\" of or in connection with the use or performance of this software.
.OH "''Go - Advanced Programmer\'s Manual''"
.EH "''Go - Advanced Programmer\'s Manual''"
.ds CF -%-

.TL
\s36Go\s0
.sp 30p
.br
\s18ADVANCED PROGRAMMER'S MANUAL\s0
.sp 20p
Version 1.1 - February 1992 (Draft 1.0)

.AI
Bull - Imaging & Office Solutions
\(co Bull S.A., 1990, 1991, Paris

.SH
PREFACE
.LP
The \fBGo Advanced Programmer's Manual\fP gives the detailed information
for \fBGo\fP extensions. This manual is intended for programmers who
want to create new \fIGo\fP subclasses derived from the \fBGo\fP
basic classes or from the \fIpredefined Go\fP subclasses.
.LP
The reader is expected to have some experience with the object oriented
programming and he/she is supposed to be familiar with the \fBGo\fP use.
It is strongly recommended to read the \fBGo Programmer's Guide\fP which
gives a general presentation of \fBGo\fP and to implement some small
\fBGo\fP based applications before starting to extend the existing
classes. The \fBGo Reference Manual\fP gives helpful information for
writing such applications.
.sp 2
.LP
This manual is organized as follows:
.sp2
.in 0.5i
.br
Chapter 1:	Class Organization
.br
Chapter 2:	Creating New Go Classes
.br
Chapter 3:	Creating New GoStream Subclasses (not ready yet)
.br
Chapter 4:	Creating New GoInterf Subclasses (not ready yet)
.br
Chapter 5:	Creating New GoUI Subclasses (not ready yet)
.br
Chapter 6:	Creating New SharedObject Subclasses (not ready yet)
.br
Chapter 7:	Creating New Predefined Go subclasses (not ready yet)
.in
.bp
.SH
TRADEMARK NOTICES:
.LP
This guide uses some or all of the following trademarks:
.IP
\fBUNIX\fP is a registred trademark of AT&T Bell Laboratories.
.IP
\fBX Window System\fP is a trademark of the Massachusetts Institute
of Technology.
.IP
\fBMotif\fP is a trademark of Open Software Foundation Inc.
.IP
\fBPostScript\fP is a registred trademark of Adobe Systems Inc.
.IP
\fBMS-DOS\fP is a trademark of Microsoft Corporation.
.IP
\fBWindows\fP is a trademark of Microsoft Corp.
.IP
\fBXView\fP is a trademark of Sun Microsystems Inc.
.IP
\fBOPEN LOOK\fP is trademark of AT&T.
.IP
\fBPresentation Manager\fP is a trademark of IBM Corp.
.IP
\fBOS/2\fP is a trademark of IBM Corp.
