.\" $Id: BGoIntro.n,v 1.2 1992/12/28 11:50:01 jacomet Exp $
.\"
.\"
.\" Copyright (c) 1990, 1991 Bull S.A., Paris, France
.\"
.\" Permission to use, copy, modify, distribute FREE OF CHARGE this software
.\" and its documentation for any purpose is hereby granted without fee,
.\" provided that (i) the above copyright notices and this permission notice
.\" appear in all copies of the software and related documentation, and
.\" (ii) the name of Bull may not be used in any advertising or publicity
.\" relating to the software without the specific, prior written permission
.\" of Bull.
.\" 
.\" The permission to distribute or sublicense FOR CHARGE either this software
.\" (all or part) or products derived from this software is subject to prior
.\" licence from Bull under separate agreement.
.\"
.\" The information in this software is subject to change without
.\" notice and should not be construed as a commitment by Bull.
.\"
.\" Bull assumes no responsibility for the use or inability to use any of its
.\" software. The software is provided "AS IS" without warranty of any
.\" kind, and Bull expressly disclaims all implied warranties, including
.\" but not limited to the implied warranties of merchantability and
.\" fitness for a particular purpose.
.\"
.\" In no event shall Bull be liable for any special, incidental, indirect
.\" or consequential damages of any kind, or any damages whatsoever
.\" resulting from loss of use, data or profits, whether or not advised of
.\" the possibility of damage, and on any theory of liability, arising out
.\" of or in connection with the use or performance of this software.
.\"
.\"
.EH ''''
.OH ''''
.EF ''''
.OF ''''
.TH \fBGo\fP \fB3Go\fP "December 1992" "Version 1.2" "Go Reference Manual" 
.nr% \n(PN+1
.SH 
\fB4. PREDEFINED CLASS MANUAL PAGES\fP
.LP
This chapter contains the following manual pages:
.sp 1
.nf
.ta .5i 2.3i
	\fBCircleFormatter(3Go)\fP	Text circle formatter class
	\fBFormatter(3Go)\fP	Text formatter abstract class
	\fBFrFormatter(3Go)\fP	Text frame formatter class
	\fBGoArc(3Go)\fP	Arc object class
	\fBGoArcMetaclass(3Go)\fP	Arc metaclass
	\fBGoBetaSpline(3Go)\fP	BetaSpline object class
	\fBGoBetaSplineMetaclass(3Go)\fP	BetaSpline object metaclass
	\fBGoBezier(3Go)\fP	Bezier object class
	\fBGoBSpline(3Go)\fP	BSpline object class
	\fBGoBusLink(3Go)\fP	Bus graph structure link object class
	\fBGoCardinal(3Go)\fP	Cardinal object class
	\fBGoCircle(3Go)\fP	Circle object class
	\fBGoCubic(3Go)\fP	Cubic object abstract class
	\fBGoCubicMetaclass(3Go)\fP	Cubic object abstract metaclass
	\fBGoCurve(3Go)\fP	Basic curve object abstract class
	\fBGoEllipse(3Go)\fP	Ellipse object class
	\fBGoGeometric(3Go)\fP	Basic geometric object abstract class
	\fBGoGeometricMetaclass(3Go)\fP	Basic geometric metaclass
	\fBGoGraph(3Go)\fP	Graph object class
	\fBGoGraphElement(3Go)\fP	Graph element object abstract class
	\fBGoGraphMetaclass(3Go)\fP	Graph metaclass
	\fBGoGraphNode(3Go)\fP	Graph node object class
	\fBGoGraphNodeMetaclass(3Go)\fP	Graph node metaclass
	\fBGoGraphStruct(3Go)\fP	Graph structure object abstract class
	\fBGoGraphStructMetaclass(3Go)\fP	Graph structure metaclass
	\fBGoImage(3Go)\fP	Image object class
	\fBGoImageMetaclass(3Go)\fP	Image object metaclass
	\fBGoLabel(3Go)\fP	Label object class
	\fBGoLink(3Go)\fP	Graph structure link object class
	\fBGoLinkMetaclass(3Go)\fP	Graph structure link metaclass
	\fBGoNode(3Go)\fP	Graph structure node object abstract class
	\fBGoNodeMetaclass(3Go)\fP	Graph structure node metaclass
	\fBGoPointSensor(3Go)\fP	Polypoint sensor object class
	\fBGoPointSensorMetaclass(3Go)\fP	Polypoint sensor metaclass
	\fBGoPolygon(3Go)\fP	Polygon object class
	\fBGoPolyline(3Go)\fP	Polyline object class
	\fBGoPolylineMetaclass(3Go)\fP	Polyline metaclass
	\fBGoPolypoint(3Go)\fP	Polypoint object class
	\fBGoPolypointMetaclass(3Go)\fP	Polypoint metaclass
	\fBGoRectangle(3Go)\fP	Rectangle object class
	\fBGoRectangleMetaclass(3Go)\fP	Rectangle metaclass
	\fBGoRegularPolygon(3Go)\fP	Regular polygon object class
	\fBGoRegularPolygonMetaclass(3Go)\fP	Regular polygon metaclass
	\fBGoScrolledText(3Go)\fP	Scrolled text object class
	\fBGoScrolledTextMetaclass(3Go)\fP	Scrolled text metaclass
	\fBGoSimpleLink(3Go)\fP	Simple graph structure link object class
	\fBGoSimpleText(3Go)\fP	Simple text object class
	\fBGoTauSpline(3Go)\fP	TauSpline object class
	\fBGoTauSplineMetaclass(3Go)\fP	TauSpline object metaclass
	\fBGoText(3Go)\fP	Text object class
	\fBGoTextual(3Go)\fP	Textual object abstract class
	\fBGoTextualMetaclass(3Go)\fP	Textual metaclass
	\fBGoTree(3Go)\fP	Tree object class
	\fBGoTreeMetaclass(3Go)\fP	Tree metaclass
	\fBGoTreeNode(3Go)\fP	Tree node object class
	\fBGoTreeNodeMetaclass(3Go)\fP	Tree node metaclass
	\fBMBFormatter(3Go)\fP	Text multi-box formatter object class
	\fBMCFormatter(3Go)\fP	Text multi-column formatter object class
	\fBSimpleFormatter(3Go)\fP	Text simple formatter object class
.fi
.br
.in 0
.nrPN \n%
