.\" $Id: SimForm.n,v 1.3 1992/12/28 10:33:27 andre Exp $
.\"
.\"
.\" Copyright (c) 1990, 1991 Bull S.A., Paris, France
.\"
.\" Permission to use, copy, modify, distribute FREE OF CHARGE this software
.\" and its documentation for any purpose is hereby granted without fee,
.\" provided that (i) the above copyright notices and this permission notice
.\" appear in all copies of the software and related documentation, and
.\" (ii) the name of Bull may not be used in any advertising or publicity
.\" relating to the software without the specific, prior written permission
.\" of Bull.
.\" 
.\" The permission to distribute or sublicense FOR CHARGE either this software
.\" (all or part) or products derived from this software is subject to prior
.\" licence from Bull under separate agreement.
.\"
.\" The information in this software is subject to change without
.\" notice and should not be construed as a commitment by Bull.
.\"
.\" Bull assumes no responsibility for the use or inability to use any of its
.\" software. The software is provided "AS IS" without warranty of any
.\" kind, and Bull expressly disclaims all implied warranties, including
.\" but not limited to the implied warranties of merchantability and
.\" fitness for a particular purpose.
.\"
.\" In no event shall Bull be liable for any special, incidental, indirect
.\" or consequential damages of any kind, or any damages whatsoever
.\" resulting from loss of use, data or profits, whether or not advised of
.\" the possibility of damage, and on any theory of liability, arising out
.\" of or in connection with the use or performance of this software.
.\"
.\"
.EH ''''
.OH ''''
.EF ''''
.OF ''''
.TH SimpleFormatter 3Go "December 1992" "Version 1.2" "Go Reference Manual"
.nr% \n(PN+1
.SH 
\fBNAME\fP
.IP
\fBSimpleFormatter\fP \(em The simpleformatter class.
.sp 1
.SH 
\fBSYNOPSIS\fP
.IP
\fI#include <Go/SimpleForm.h>\fP
.sp 1
.SH 
\fBCLASS\fP
.IP
\fBGSimpleFormatter\fP inherits behavior from class \fBGFormatter\fP.
.RS 10
.RE
.sp 1
.SH 
\fBDESCRIPTION\fP
.IP
When linked with a \fBGSimpleFormatter\fP, a \fBGoText\fP takes the appearance
of a \fBGoSimpleText\fP, ie the lines are replied by the user, thus it is not constrainted
inside a frame.
.sp 1
.SH
\fBPUBLIC METHODS\fP
.IP
No new method is available for the \fBGSimpleFormatter\fP formatter.
.sp 1
.SH
\fBUSER INTERACTIONS\fP
.IP
see \fIGoText(3Go)\fP.
.SH
\fBC BINDING\fP
.SS
\fBHeader\fP
.IP
#include <Go/cForm.h>
.br
.SS
\fBFunctions\fP
.sp 1
.RE
.IP
GObjectId \fBGSimpleFormatterCreate\fP()
.RS .8i
.IP \fIDescription\fP .5i
This function creates an instance of the GSimpleFormatter class.
.sp1
.SH
\fBSEE ALSO\fP
.IP
\fBGoText\fP, \fBGFormatter\fP, \fBGFrFormatter\fP, \fBGMCFormatter\fP, \fBGMBFormatter\fP and \fBGCircleFormatter\fP  classes.
.nrPN \n%






