.\" $Id: mSensor.n,v 1.1.1.1 1992/03/18 09:44:42 uep Exp $
.\"
.\"
.\" Copyright (c) 1990, 1991 Bull S.A., Paris, France
.\"
.\" Permission to use, copy, modify, distribute FREE OF CHARGE this software
.\" and its documentation for any purpose is hereby granted without fee,
.\" provided that (i) the above copyright notices and this permission notice
.\" appear in all copies of the software and related documentation, and
.\" (ii) the name of Bull may not be used in any advertising or publicity
.\" relating to the software without the specific, prior written permission
.\" of Bull.
.\" 
.\" The permission to distribute or sublicense FOR CHARGE either this software
.\" (all or part) or products derived from this software is subject to prior
.\" licence from Bull under separate agreement.
.\"
.\" The information in this software is subject to change without
.\" notice and should not be construed as a commitment by Bull.
.\"
.\" Bull assumes no responsibility for the use or inability to use any of its
.\" software. The software is provided "AS IS" without warranty of any
.\" kind, and Bull expressly disclaims all implied warranties, including
.\" but not limited to the implied warranties of merchantability and
.\" fitness for a particular purpose.
.\"
.\" In no event shall Bull be liable for any special, incidental, indirect
.\" or consequential damages of any kind, or any damages whatsoever
.\" resulting from loss of use, data or profits, whether or not advised of
.\" the possibility of damage, and on any theory of liability, arising out
.\" of or in connection with the use or performance of this software.
.\"
.\"
.EH ''''
.OH ''''
.EF ''''
.OF ''''
.TH SensorMetaclass 3Go "February 1992" "Version 1.1" "Go Reference Manual" 
.nr% \n(PN+1
.SH 
\fBNAME\fP
.IP
\fBSensorMetaclass\fP \(em the Sensor metaclass object class.
.SH
\fBSYNOPSIS\fP
.IP
\fI#include <Go/mSensor.h>\fP
.sp 1
.SH
\fBCLASS\fP
.IP
\fBSensorMetaclass\fP inherits behavior from:
.RS 10
.IP \(em 3
\fBGoAbsDSMetaclass\fP class
.IP \(em 3
\fBGoMetaclass\fP class
.RE
.sp 1
.SH
\fBDESCRIPTION\fP
.IP
The \fBSensorMetaclass\fP class defines the \fISensor\fP metaclass object. It implements
a common behavior for all \fISensor\fP instances (See \fISensor(3Go)\fP).
There is only one instance of \fISensorMetaclass\fP. It can be accessed with
\fBSensor::metaclass()\fP.
.IP
\fIWarning:\fP As for \fIGoUI\fP, the current implementation is a temporary implementation.
.sp 1
.br
.nf
.ta .15i .25i 1.0i
class SensorMetaclass : public GoAbsDSMetaclass {
	public:
};

.fi
.sp 1
.SH
\fBPUBLIC FUNCTIONS\fP
.IP
.sp 2
.SH
\fBC BINDING\fP
.IP
\fITo be defined\fP.
.sp 1
.SH
\fBUSAGE INFORMATION\fP
.IP
.fi
.RE
.sp 1
.SH
\fBSEE ALSO\fP
.IP
\fBGoAbsDSMetaclass(3Go)\fP,
\fBGoUI\fP and
\fBSensor(3Go)\fP classes.
.nrPN \n%
