.\" $Id: cover.n,v 1.2 1992/12/28 16:38:36 davy Exp $
.\"
.\"
.\" Copyright (c) 1990, 1991 Bull S.A., Paris, France
.\"
.\" Permission to use, copy, modify, distribute FREE OF CHARGE this software
.\" and its documentation for any purpose is hereby granted without fee,
.\" provided that (i) the above copyright notices and this permission notice
.\" appear in all copies of the software and related documentation, and
.\" (ii) the name of Bull may not be used in any advertising or publicity
.\" relating to the software without the specific, prior written permission
.\" of Bull.
.\" 
.\" The permission to distribute or sublicense FOR CHARGE either this software
.\" (all or part) or products derived from this software is subject to prior
.\" license from Bull under separate agreement.
.\"
.\" The information in this software is subject to change without
.\" notice and should not be construed as a commitment by Bull.
.\"
.\" Bull assumes no responsibility for the use or inability to use any of its
.\" software. The software is provided "AS IS" without warranty of any
.\" kind, and Bull expressly disclaims all implied warranties, including
.\" but not limited to the implied warranties of merchantability and
.\" fitness for a particular purpose.
.\"
.\" In no event shall Bull be liable for any special, incidental, indirect
.\" or consequential damages of any kind, or any damages whatsoever
.\" resulting from loss of use, data or profits, whether or not advised of
.\" the possibility of damage, and on any theory of liability, arising out
.\" of or in connection with the use or performance of this software.
.\"
.\"
.EH ''''
.OH ''''
.EF ''''
.OF ''''
.TH "\fBGo\fP" "\fP3Go\fP" "December 1992" "Version 1.2" " " 
.nr% \n(PN+1
.sp 6
.ce 3
\s36\fBGo\fP\s0
.sp 30p
.br
\s18\fBREFERENCE MANUAL\fP\s0
.sp 20p
\fBVersion 1.2 - December 1992\fP
.sp 2
.ce 2
\fIBull - Imaging and Office Solutions
.br
\(co Bull S.A., 1990, 1991, 1992 Paris\fP
.sp 3
.SH
\fBPREFACE\fP
.LP
The \fBGo Reference Manual\fP is the necessary manual for writing \fBGo\fP
\fIbased applications\fP: it gives the \fBGo MAN PAGES\fP.
The \fIman pages\fP give the \fBC++\fP interface of every object
needed to use \fBGo\fP, it also provides the \fIC language binding\fP.
.LP
This manual is intended to be read by \fBC++\fP programmers
who want to write graphical and interactive applications.
.LP
It is recommended to have read before the \fIGoPATH Programmer's
Guide\fP which is a general technical presentation of \fBGoPATH\fP (the
\fIGo\fP libraries and the \fIGo Companions\fP).
The \fIGo Advanced Programmer's Manual\fP is required to create new graphic
objects or to extend existing functionalities of \fBGo\fP.
.sp 2
.LP
This manual is organized as follows:
.sp2
.in +0.5i
.br
Chapter 1:	Generating Go Based Applications
.br
Chapter 2:	Notation Conventions
.br
Chapter 3:	Basic Class Manual Pages
.br
Chapter 4:	Predefined Class Manual Pages
.br
Chapter 5:	Tool Class Manual Pages
.br
Chapter 6:	Extension Class Manual Pages
.in 0
.sp 2
.ce
\fBPREAMBLE\fP
.sp 1
.LP
\fBGoPATH\fP is the new name of what we called \fBGo\fP. Like \fBGo\fP,
\fBGoPATH\fP components include a set of libraries (for graphical
application developpement) called \fIGo\fP libraries, a set of editors
(for graphical presentation design) called \fIGo\fP companions and the
documentation.
.LP
In order to promote \fBGoPATH\fP, a part of it is distributed on the network
with a restrictive copyright. Any commercial use of \fBGoPATH\fP is controled
by a \fBlicense\fP.
.nrPN \n%
